﻿using System.Collections.Generic;

using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 커스텀 클러스터 항목 팩토리
    /// </summary>
    public class CustomClusterItemFactory : IClusterItemFactory
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 클러스터 항목 생성하기 - CreateClusterItem(mapItemList)

        /// <summary>
        /// 클러스터 항목 생성하기
        /// </summary>
        /// <param name="mapItemList">맵 항목 리스트</param>
        /// <returns>클러스터 항목</returns>
        public MapItem CreateClusterItem(IList<MapItem> mapItemList)
        {
            MapDot mapDot = new MapDot();

            mapDot.ClusteredItems       = mapItemList;
            mapDot.TitleOptions.Pattern = mapItemList.Count.ToString();

            return mapDot;
        }

        #endregion
    }
}